com.thinkaurelius.titan.graphdb.query.condition

## Interface Condition<E extends TitanElement>

- All Known Implementing Classes:
    And, DirectionCondition, FixedCondition, IncidenceCondition, IncidenceDirectionCondition, Literal, MultiCondition, Not, Or, PredicateCondition, RelationCategory, RelationTypeCondition, VisibilityFilterCondition

      public interface Condition<E extends TitanElement>

  A logical condition which evaluates against a provided element to true or false. A condition can be nested to form complex logical expressions with AND, OR and NOT. A condition is either a literal, a negation of a condition, or a logical combination of conditions (AND, OR). If a condition has sub-conditions we consider those to be children.
  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `Condition.Type`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `boolean` | `evaluate(E element)`
    `Iterable<Condition<E>>` | `getChildren()`
    `Condition.Type` | `getType()`
    `boolean` | `hasChildren()`
    `int` | `hashCode()`
    `int` | `numChildren()`
    `String` | `toString()`

- - ### Method Detail

    - #### getType

          Condition.Type getType()

    - #### getChildren

          Iterable<Condition<E>> getChildren()

    - #### hasChildren

          boolean hasChildren()

    - #### numChildren

          int numChildren()

    - #### evaluate

          boolean evaluate(E element)

    - #### hashCode

          int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### toString

          String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2012–2014. All rights reserved.